%{?!python3_pkgversion:%global python3_pkgversion 3}

%global srcname hangups

Name:           python-hangups
Version:        0.4.14
Release:        1%{?dist}
Summary:        First third-party instant messaging client for Google Hangouts
License:        MIT
URL:            https://github.com/tdryer/hangups
Source0:        https://github.com/tdryer/hangups/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# Required for tests
BuildRequires:  python%{python3_pkgversion}-httpretty
# Required for docs
BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-sphinxcontrib-asyncio

%{?python_enable_dependency_generator}

%description
hangups is the first third-party instant messaging client for Google
Hangouts. It includes both a Python library and a reference client with
a text-based user interface.

Unlike its predecessor Google Talk, Hangouts uses a proprietary,
non-interoperable protocol. hangups is implemented by reverse-engineering
this protocol, which allows it to support features like group messaging that
aren't available in clients that connect via XMPP.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
hangups is the first third-party instant messaging client for Google
Hangouts. It includes both a Python library and a reference client with
a text-based user interface.

Unlike its predecessor Google Talk, Hangouts uses a proprietary,
non-interoperable protocol. hangups is implemented by reverse-engineering
this protocol, which allows it to support features like group messaging that
aren't available in clients that connect via XMPP.


%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i 's|MechanicalSoup>=0.6.0,<0.13|MechanicalSoup>=0.6.0|' setup.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
# use what your upstream is using
%{__python3} -m pytest


%files -n  python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst docs examples
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Apr 28 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.4.14-1
- Update to upstream.

* Thu Mar 25 2021 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk>
- First release.
